<?
##########################################################################################################
#																							#
#	Copyright (c) 2006 Ciaran Farrell <ciaranfarrell@babelworx.net>											#
#    	This file is free software; you can redistribute it and/or													#
#    	modify it under the terms of the GNU Lesser General Public												#
#    	License as published by the Free Software Foundation; either											#
#    	version 2.1 of the License, or (at your option) any later version.											#
#																							#
#    This file is distributed in the hope that it will be useful,													#
#    but WITHOUT ANY WARRANTY; without even the implied warranty of										#
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU								#
#    Lesser General Public License for more details.														#
#																							#
#    You should have received a copy of the GNU Lesser General Public										#
#    License along with this file; if not, write to the Free Software												#
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA									#
#																							#	
##########################################################################################################

$calDef = array();

/* If you want to use ajax and/or overlib functionality please note that you also have to make changes to the page on which you display the calendar - see the README */

/* The following variables are static, but the script can easily be changed to make them dynamic - just copy above */
$calDef[tableBG] =		"#FFFFFF";		// background color of the table
$calDef[tableBorder] =	"0";				// border width in pixels
$calDef[cellspacing] =	"0";				// cellspacing of calendar cells
$calDef[cellpadding] =	"0";				// cellpadding of calendar cells
$calDef[cellWidth] =		"30";				// individual cell width in pixels
$calDef[cellHeight] =		"24";				// individual cell height in pixels
$calDef[fontColor] =		"#000000";			// font colour of normal calendar days
$calDef[todayColor] =		"#F00000";		// font colour of today if applicable
$calDef[headerBG] =		"#CCCCCC";		// background colour of header bar (ie where month and year displayed)
$calDef[headerFont] =	"#000000";			// font colour of display in header bar
$calDef[weekendColor] =	"#EEEEEE";		// the background color of weekends
$calDef[emptyColor] = 	"#FFFFFF";		// the background color of empty cells (before and after month begin and end)
$calDef[emptyFill] = 		"&nbsp;";			// what to enter in empty cells - enter &nbsp; for blank cells
$calDef[emptyFont] = 	"";				// font color of whatever filler content used in emptyFill

/* If you want to use Eric Bosrups Overlib to display mouseover events on the calendar, adjust the following accordingly */
$calDef[useOverlib] = 	"yes"; 			// Set this to no if you do not want to use overlib (PLEASE READ LICENSE FOR OVERLIB!!!!!)
$calDef[overLibBG] =		"#EEEEEE"; 		// Set this to a hexidecimal colour value if you want to change pane background colour from default
$calDef[overLibCapBG] = 	"#000000";		// Set this to a hexidecimal colour value to change caption text colour from default
$calDef[overLibBorder] = 	"#BBBBBB";			// Set this to a hexidecimal colour value to change border and header background colour from default
$calDef[showHeader] =	"yes"; 			// Set to yes if you want to display a header caption. See also headerContent
$calDef[headerContent] =	"dateTime"; 		// Set to desc if you want to display a chopped version of the description
$calDef[overLibSticky] = 	"yes";			// Change to no if the pane should disappear on mouseout (this makes it impossible to click on links)
$calDef[overLibAlign] = 	"right";			// How to align the pop-up pane in relation to the mouse pointer (valid are left, center, right; default is right)
$calDef[overLibTimeOut] = "2000";			// After timeout millisecs, pop.up disappears (leave empty to ignore and only destroy popup on mouseout/mouseover close)

/* The following options are used if you want to use the event manager (turn switch on) */
$calDef[dbaseSwitch] =	"on"; 			// Do you want to query the database for events? If so change to on
$calDef[dbaseConn]	=	"dbaseConn.inc"; 	// Absolute path to your dbase connection file (if possible not server accessible for security reasons)
$calDef[pastEvent]	=	"#BBBBBB"; 		// Color of links to events in the past
$calDef[todayEvent] =	"#008000";		 	// Color of links to events happening today
$calDef[futureEvent] =	"#088000"; 		// Color of links to events in the future

/* Use the following options to configure how you want the links in the calendar to open */
$calDef[jscriptParams] = 	"window.open";		// enter the parameters for the a href=javascript: (e.g. window.location, window.open - whatever (might break overlib - experiment) and only enter the part that typically comes before the bracket - not valid is eg: window.open('http://www.location.com') - as the url is dynamically created
$calDef[extParams] =		",'win1','width=400,height=300'";				// extended jscript params for the link - define, eg. the window height, width, scrollbars etc. - the attributes should be of the form 'name', 'attributes' e.g. ,'win1','width=200,height=200,menubar' and observe standard naming convention! Also, it should start with a comma. If we are using window.location, this should be ignored anyway (at least in every browser I have checked)
?>