<?
##########################################################################################################
#																							#
#	Copyright (c) 2006 Ciaran Farrell <ciaranfarrell@babelworx.net>											#
#    This file is free software; you can redistribute it and/or													#
#    modify it under the terms of the GNU Lesser General Public												#
#    License as published by the Free Software Foundation; either												#
#    version 2.1 of the License, or (at your option) any later version.											#
#																							#
#    This file is distributed in the hope that it will be useful,													#	
#    but WITHOUT ANY WARRANTY; without even the implied warranty of										#
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU								#
#    Lesser General Public License for more details.														#
#																							#
#    You should have received a copy of the GNU Lesser General Public										#
#    License along with this file; if not, write to the Free Software												#
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA									#
#																							#	
##########################################################################################################

// Include the configuration script
include("calendar.config.inc");

/* If the year is not defined in GET then use the current year */
if(!isset($_GET['year']) || empty($_GET['year'])){
	$calDef[year] = date("Y",time());
}else{
	$calDef[year] = $_GET['year'];
}

/* If the month is not defined in GET then use the current month */
if(!isset($_GET['month']) || empty($_GET['month'])){
	$calDef[month] = date("n",time());
}else{
	$calDef[month] = $_GET['month'];
}


/* include the calendar class */
include("calendar.class.php");

/* create a new calendar object - this will use current year and month unless something else defined by GET */
$cal = new oopCal;

/* run the new object through the calendar definition function */
$cal->defineCal($calDef);

/* place this code anywhere on the page where the calendar should be displayed or include this page in any page of your choice and use the variable $showCal */
$showCal = $cal->definedCalendar;
#echo $cal->definedCalendar; // uncomment this line if you want to display the calendar simply using calendar.php - currently the demoCal.php page is used

?>